import dynamix_sdk.base as _base


class CloudbrokerNodeAddSshIdentityResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerNodeAddSshIdentityProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def add_ssh_identity(
        self,
        *,
        node_id: int,
        client_hostname: str,
        client_host_key: str,
        client_public_key: str,
        client_ip_addr: str,
    ) -> CloudbrokerNodeAddSshIdentityResultBool:
        ...
